ncurses_delwin
ncurses_echo
Ncurses Functions
PHP Manual

# ncurses_doupdate

(PHP 4 >= 4.0.7, PHP 5, PECL ncurses:1.0.0)

ncurses_doupdate — Write all prepared refreshes to terminal

### Description

bool ncurses_doupdate ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Compares the virtual screen to the physical screen and updates the physical screen. This way is more effective than using multiple refresh calls.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

ncurses_delwin
ncurses_echo
Ncurses Functions
PHP Manual